<?php

/**
 * @class m121105_160716_tbl_candidatos_capacidades_profesionales
 * @var $this CDbMigration
 * @package application.migrations
 */

class m121105_160716_tbl_candidatos_capacidades_profesionales extends CDbMigration {

    public function safeUp() {
        $this->createTable('tbl_candidatos_capacidades_profesionales', array(
            'id' => 'pk',
            'id_candidato' => 'integer NOT NULL',
            'id_capacidad' => 'integer NOT NULL',
        ), 'ENGINE=InnoDB CHARSET=utf8');

        $this->addForeignKey('fk_candidatos_capacidades_profesionales_1', 'tbl_candidatos_capacidades_profesionales', 'id_candidato', 'tbl_candidatos', 'id', 'CASCADE', 'CASCADE');
        $this->addForeignKey('fk_candidatos_capacidades_profesionales_2', 'tbl_candidatos_capacidades_profesionales', 'id_capacidad', 'tbl_capacidades_profesionales', 'id', 'CASCADE', 'CASCADE');        
    }

    public function safeDown() {
        $this->dropForeignKey('fk_candidatos_capacidades_profesionales_2', 'tbl_candidatos_capacidades_profesionales');
        $this->dropForeignKey('fk_candidatos_capacidades_profesionales_1', 'tbl_candidatos_capacidades_profesionales');
        $this->dropTable('tbl_candidatos_capacidades_profesionales');
    }

}